## org.hibernate.envers.query.criteria
Class IdentifierEqAuditExpression

    java.lang.Object
      org.hibernate.envers.query.criteria.IdentifierEqAuditExpression

All Implemented Interfaces:
  AuditCriterion

    public class IdentifierEqAuditExpression

extends Object
implements AuditCriterion

A criterion that expresses that the id of an entity is equal or not equal to some specified value.

Constructor Summary
`IdentifierEqAuditExpression(Object id, boolean equals)`

Method Summary
`void` `addToQuery(AuditConfiguration verCfg, String entityName, QueryBuilder qb, Parameters parameters)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdentifierEqAuditExpression

    public IdentifierEqAuditExpression(Object id,
                                       boolean equals)

Method Detail

### addToQuery

    public void addToQuery(AuditConfiguration verCfg,
                           String entityName,
                           QueryBuilder qb,
                           Parameters parameters)

  Specified by:
    `addToQuery` in interface `AuditCriterion`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.